# My dotfiles

This is a collection of some of my dotfiles for my Linux systems. I personally use these on Artix, Fedora, Ubuntu and Termux (Android).

To install:

```bash
$ git clone https://github.com/theanonymousexyz/dotfiles.git
$ cd dotfiles
$ ./artix-install.sh   # For Artix
$ ./deb-install.sh     # For Debian and Ubuntu
$ ./fedora-install.sh  # For Fedora
$ ./termux-install.sh  # For Termux
```

Note that I use `doas` instead of `sudo` (only on Artix). If you prefer `sudo`, then change all instances of `doas` to `sudo`, or simply create a symlink `doas` pointing to `sudo`:

```bash
sudo ln -s $(which sudo) /usr/bin/doas
```

**Notes:**
- You need to make `doas`/`sudo` rules that allow you to execute, `poweroff` and `reboot` (and additionally `ivpn-service` and `pkill "^ivpn-service$"` if you use IVPN) without a password, otherwise the keybindings and scripts for those won't work.
- The install script requires GNU Stow to work.
- Make sure to thoroughly examine these dotfiles and change them to your needs before using them.
- See the READMEs in the individual subfolders here for special notes.
- I use `dash` instead of `sh` or `bash` for my shell scripts. As such, all my scripts try to be as POSIX compliant as possible. If you don't want to use `dash`, you can change the shebang in the scripts to `#!/bin/sh` or `#!/bin/bash`.
