#!/bin/sh

if [ "$(lsb_release -si)" != "Artix" ]; then
    echo "This script is only intended to be used for a full setup on Artix. Quitting..."
    exit 1
fi

echo "Configuring directories..."

cd -- "$(dirname -- $0)"
set -- "alacritty" "mako" "nvim" "scripts" "sway" "swaylock" "swaynag" "waybar" "zsh"
mkdir -p "$HOME/.config/zsh"  # Symlink only the individual files instead of the entire directory

sleep 0.5
echo "Creating the symlinks with stow..."

for pkg in "$@"; do
    echo "* Stowing $pkg"
    stow -t "$HOME" --ignore="README.md" "$pkg"
    sleep 0.1
done

sleep 0.4
echo "Making scripts executable..."

chmod +x scripts/.local/bin/clear-clipboard.sh
chmod +x scripts/.local/bin/erase-disk.sh
chmod +x scripts/.local/bin/update.sh
chmod +x sway/.config/sway/autostart.sh
chmod +x waybar/.config/waybar/ivpn-reconnect.sh
chmod +x waybar/.config/waybar/ivpn-status.sh
chmod +x waybar/.config/waybar/mediaplayer.py

sleep 0.5
echo "Done!"
