#!/bin/sh

if [ "$(lsb_release -si)" != "Debian" ] && [ "$(lsb_release -si)" != "Ubuntu" ]; then
    echo "This script is only intended to be used for a full setup on Debian or Ubuntu. Quitting..."
    exit 1
fi

echo "Configuring directories..."

cd -- "$(dirname -- $0)"
set -- "scripts" "zsh"
mkdir -p "$HOME/.config/zsh"  # Symlink only the individual files instead of the entire directory

sleep 0.5
echo "Creating the symlinks with stow..."

for pkg in "$@"; do
    echo "* Stowing $pkg"
    stow -t "$HOME" --ignore="README.md" "$pkg"
    sleep 0.1
done

sleep 0.4

sleep 0.5
echo "Done!"
