#!/bin/dash

if [ "$(uname -o)" = "Android" ]; then
    pkg upgrade
elif [ "$(uname -o)" = "GNU/Linux" ]; then
    [ "$(lsb_release -si)" = "Artix" ] && paru
    [ "$(lsb_release -si)" = "Fedora" ] && sudo dnf upgrade

    if [ "$(lsb_release -si)" = "Debian" ] || [ "$(lsb_release -si)" = "Ubuntu" ]; then
        sudo apt update
        echo
        sudo apt full-upgrade --purge
        echo
        sudo apt autoremove --purge --yes
    fi
fi

command -v flatpak >/dev/null 2>&1 && { echo; flatpak update; }
command -v docker >/dev/null 2>&1 && { echo; docker images | awk '(NR>1) && ($2!~/none/) {print $1":"$2}' | xargs -l docker pull; }
command -v npm >/dev/null 2>&1 && { echo; npm up -g; }
