# File management
alias cp="cp -i"
alias mv="mv -i"
alias rm="rm -i"
alias mkdir="mkdir -p"
(( ${+commands[srm]} )) && alias srm="srm -i"

# Navigation
alias ..="cd .."
alias ...="cd ../.."
alias ....="cd ../../.."
alias .....="cd ../../../.."

# Misc.
alias cl="clear"
alias grep="grep --color=always"
alias ls="ls --color=always"
alias q="exit"
alias u="update.sh"
alias zgrep="zgrep --color=always"
(( ${+commands[tmux]} )) && alias tmux="tmux -2u"

if (( ${+commands[exa]} )); then
    alias exa="exa -Fh --color=always --git --icons"
    alias t="exa -a --tree -I '.git'"
    alias tl="t -l"
else
    alias t="tree -aCI '.git'"
fi

if [[ $(uname -o) == "Android" ]]; then
    # Package management
    alias pkgin="pkg install"
    alias pkgrm="pkg uninstall --purge"
    alias pkgqi="dpkg -s"
    alias pkgqs="dpkg -l"
    alias pkgsi="pkg info"
    alias pkgss"pkg search"

    # ls'ing
    alias l="exa -al"
    alias la="exa -l"
    alias ll="exa -aagl"
elif [[ $(uname -o) == "GNU/Linux" ]]; then
    # Package management
    if [[ $(lsb_release -si) == "Artix" ]]; then
        alias pacin="doas pacman -S"
        alias pacrm="doas pacman -Rcnsu"
        alias pacqi="pacman -Qi"
        alias pacqs="pacman -Qs"
        alias pacsi="pacman -Si"
        alias pacss="pacman -Ss"
    elif [[ $(lsb_release -si) == "Fedora" ]]; then
        alias dnfin="sudo dnf install"
        alias dnfrm="sudo dnf remove"
        alias dnfqs="sudo dnf list installed"
        alias dnfsi="sudo dnf info"
        alias dnfss="sudo dnf search"
    elif [[ $(lsb_release -si) == "Debian" ]] || [[ $(lsb_release -si) == "Ubuntu" ]]; then
        alias aptin="sudo apt install"
        alias aptrm="sudo apt purge"
        alias aptqi="dpkg -s"
        alias aptqs="dpkg -l"
        alias aptsi="apt info"
        alias aptss="apt search"
    fi

    # ls'ing
    if [[ $(lsb_release -si) == "Debian" ]] || [[ $(lsb_release -si) == "Ubuntu" ]]; then
        alias l="ls -Ahl"
        alias la="ls -hl"
        alias ll="ls -aFhl"
    else
        alias btctl="bluetoothctl"
        alias l="lsd -Ahl --color=always"
        alias la="lsd -hl --color=always"
        alias ll="lsd -ahlF --color=always"
        alias x="exa -al"
    fi

    # Misc.
    alias open="xdg-open"

    if [[ $(lsb_release -si) == "Artix" ]]; then
        alias code="codium --enable-features=UseOzonePlatform --ozone-platform=wayland"
        alias poweroff="doas poweroff"
        alias reboot="doas reboot"
    fi
fi
